# coding=utf-8
# --------------------------------------------------------------------------
# Code generated by Microsoft (R) AutoRest Code Generator 1.1.0.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource


class HostingAccount(Resource):
    """Instance of an Azure ML hosting account resource.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :ivar id: Specifies the resource ID.
    :vartype id: str
    :ivar name: Specifies the name of the resource.
    :vartype name: str
    :param location: Specifies the location of the resource.
    :type location: str
    :ivar type: Specifies the type of the resource.
    :vartype type: str
    :param tags: Contains resource tags defined as key/value pairs.
    :type tags: dict
    :param sku: The SKU of hosting account
    :type sku: :class:`Sku <hostingaccounts.models.Sku>`
    :param description: The description of the hosting account.
    :type description: str
    :ivar created_on: Read Only: The date and time when the hosting account
     was created.
    :vartype created_on: datetime
    :ivar modified_on: Read Only: The date and time when the hosting account
     was last modified.
    :vartype modified_on: datetime
    :ivar model_management_swagger_location: Read Only: Contains the URI of
     the swagger spec of Model Management Service.
    :vartype model_management_swagger_location: str
    """

    _validation = {
        'id': {'readonly': True},
        'name': {'readonly': True},
        'type': {'readonly': True},
        'created_on': {'readonly': True},
        'modified_on': {'readonly': True},
        'model_management_swagger_location': {'readonly': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'location': {'key': 'location', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '{str}'},
        'sku': {'key': 'sku', 'type': 'Sku'},
        'description': {'key': 'properties.description', 'type': 'str'},
        'created_on': {'key': 'properties.createdOn', 'type': 'iso-8601'},
        'modified_on': {'key': 'properties.modifiedOn', 'type': 'iso-8601'},
        'model_management_swagger_location': {'key': 'properties.modelManagementSwaggerLocation', 'type': 'str'},
    }

    def __init__(self, location=None, tags=None, sku=None, description=None):
        super(HostingAccount, self).__init__(location=location, tags=tags, sku=sku)
        self.description = description
        self.created_on = None
        self.modified_on = None
        self.model_management_swagger_location = None
